#### D.5.4.4 negativedivisor

Procedure from library `divisors.lib` (see divisors_lib).

Usage:
  negativedivisor(A); A*(-1); A = divisor.

Assume:
  A is a divisor on X.

Return:
  a divisor on X

Theory:
  The procedure will interchange the numerator and denominator ideals.

Example:

    LIB "divisors.lib";
    ring r=31991,(x,y,z),dp;
    ideal I = y^2*z - x*(x-z)*(x+3*z);
    qring Q = std(I);
    divisor A = makeDivisor(ideal(x,z),ideal(1));
    A;
    ==> (z,x) - (1)
    ==>
    divisor D = negativedivisor(A);
    D;
    ==> (1) - (z,x)
    ==>

User manual for Singular version 4.4.1, 2025, generated by texi2html.